Debian Bug report logs - #676206
ruby-gruff: FTBFS: tests failed

version graph

Package: src:ruby-gruff; Maintainer for src:ruby-gruff is Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 5 Jun 2012 12:19:32 UTC

Severity: serious

Tags: fixed-upstream, patch, sid, wheezy

Found in version ruby-gruff/0.3.6-5

Fixed in version ruby-gruff/0.3.6-6

Done: Cédric Boutillier <cedric.boutillier@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#676206; Package src:ruby-gruff. (Tue, 05 Jun 2012 12:19:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Tue, 05 Jun 2012 12:20:26 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: ruby-gruff: FTBFS: tests failed
Date: Tue, 5 Jun 2012 13:56:57 +0200
Source: ruby-gruff
Version: 0.3.6-5
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120605 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  fakeroot debian/rules binary
> dh binary --buildsystem=ruby --with ruby
>    dh_testroot -O--buildsystem=ruby
>    dh_prep -O--buildsystem=ruby
>    dh_installdirs -O--buildsystem=ruby
>    dh_auto_install -O--buildsystem=ruby
> /usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:31: warning: method redefined; discarding old visit_String
> /usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:4: warning: previous definition of visit_String was here
> /usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:39: warning: method redefined; discarding old register
> /usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:12: warning: previous definition of register was here
> /usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:43: warning: method redefined; discarding old format_time
> /usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:16: warning: previous definition of format_time was here
> /usr/lib/ruby/1.9.1/rubygems/syck_hack.rb:115: warning: method redefined; discarding old to_s
> /usr/lib/ruby/1.9.1/rubygems/syck_hack.rb:44: warning: previous definition of to_s was here
>   Entering dh_ruby --install
> install -d /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby
> install -D -m644 lib/gruff.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff.rb
> install -D -m644 lib/gruff/scene.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/scene.rb
> install -D -m644 lib/gruff/base.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/base.rb
> install -D -m644 lib/gruff/stacked_mixin.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/stacked_mixin.rb
> install -D -m644 lib/gruff/stacked_area.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/stacked_area.rb
> install -D -m644 lib/gruff/area.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/area.rb
> install -D -m644 lib/gruff/accumulator_bar.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/accumulator_bar.rb
> install -D -m644 lib/gruff/pie.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/pie.rb
> install -D -m644 lib/gruff/net.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/net.rb
> install -D -m644 lib/gruff/side_stacked_bar.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/side_stacked_bar.rb
> install -D -m644 lib/gruff/stacked_bar.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/stacked_bar.rb
> install -D -m644 lib/gruff/photo_bar.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/photo_bar.rb
> install -D -m644 lib/gruff/dot.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/dot.rb
> install -D -m644 lib/gruff/deprecated.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/deprecated.rb
> install -D -m644 lib/gruff/bar.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/bar.rb
> install -D -m644 lib/gruff/spider.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/spider.rb
> install -D -m644 lib/gruff/line.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/line.rb
> install -D -m644 lib/gruff/bullet.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/bullet.rb
> install -D -m644 lib/gruff/mini/pie.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/mini/pie.rb
> install -D -m644 lib/gruff/mini/bar.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/mini/bar.rb
> install -D -m644 lib/gruff/mini/legend.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/mini/legend.rb
> install -D -m644 lib/gruff/mini/side_bar.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/mini/side_bar.rb
> install -D -m644 lib/gruff/bar_conversion.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/bar_conversion.rb
> install -D -m644 lib/gruff/side_bar.rb /«PKGBUILDDIR»/debian/ruby-gruff/usr/lib/ruby/vendor_ruby/gruff/side_bar.rb
> /usr/bin/ruby1.8 -I/usr/lib/ruby/vendor_ruby /usr/lib/ruby/vendor_ruby/gem2deb/test_runner.rb
> Loaded suite -e
> Started
> ............................................................................................................................................................
> Finished in 34.431641 seconds.
> 
> 156 tests, 29 assertions, 0 failures, 0 errors
> /usr/bin/ruby1.9.1 -I/usr/lib/ruby/vendor_ruby /usr/lib/ruby/vendor_ruby/gem2deb/test_runner.rb
> Run options: 
> 
> # Running tests:
> 
> .E..EE.EEEEEEEE.EEEEE.EEEE.E.EEE....................E.E.EEE.EEE.EEEEEEEE.EE.E.EEEEEEEEEE.EEEEE.E.E.EE..........................................EE.EE..E.....
> 
> Finished tests in 13.728706s, 11.3631 tests/s, 2.1124 assertions/s.
> 
>   1) Error:
> test_accumulator(TestGruffAccumulatorBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/stacked_bar.rb:11:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/accumulator_bar.rb:24:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_accumulator_bar.rb:38:in `test_accumulator'
> 
>   2) Error:
> test_area_graph(TestGruffArea):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/area.rb:7:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_area.rb:43:in `test_area_graph'
> 
>   3) Error:
> test_area_graph_tiny(TestGruffArea):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/area.rb:7:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_area.rb:113:in `test_area_graph_tiny'
> 
>   4) Error:
> test_many_areas_graph_small(TestGruffArea):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/area.rb:7:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_area.rb:94:in `test_many_areas_graph_small'
> 
>   5) Error:
> test_many_datapoints(TestGruffArea):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/area.rb:7:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_area.rb:75:in `test_many_datapoints'
> 
>   6) Error:
> test_resize(TestGruffArea):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/area.rb:7:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_area.rb:60:in `test_resize'
> 
>   7) Error:
> test_wide(TestGruffArea):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/area.rb:7:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_area.rb:119:in `test_wide'
> 
>   8) Error:
> test_bar_graph(TestGruffBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_bar.rb:24:in `test_bar_graph'
> 
>   9) Error:
> test_bar_graph_set_colors(TestGruffBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_bar.rb:62:in `test_bar_graph_set_colors'
> 
>  10) Error:
> test_bar_graph_small(TestGruffBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_bar.rb:78:in `test_bar_graph_small'
> 
>  11) Error:
> test_custom_theme(TestGruffBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_bar.rb:260:in `test_custom_theme'
> 
>  12) Error:
> test_july_enhancements(TestGruffBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/gruff_test_case.rb:83:in `write_test_file'
>     /«PKGBUILDDIR»/test/test_bar.rb:284:in `test_july_enhancements'
> 
>  13) Error:
> test_legend_should_not_overlap(TestGruffBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_bar.rb:272:in `test_legend_should_not_overlap'
> 
>  14) Error:
> test_nearly_zero(TestGruffBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_bar.rb:210:in `test_nearly_zero'
> 
>  15) Error:
> test_negative(TestGruffBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_bar.rb:193:in `test_negative'
> 
>  16) Error:
> test_no_legend(TestGruffBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_bar.rb:101:in `test_no_legend'
> 
>  17) Error:
> test_no_title(TestGruffBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_bar.rb:108:in `test_no_title'
> 
>  18) Error:
> test_no_title_or_legend(TestGruffBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_bar.rb:116:in `test_no_title_or_legend'
> 
>  19) Error:
> test_one_value(TestGruffBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_bar.rb:177:in `test_one_value'
> 
>  20) Error:
> test_set_legend_box_size(TestGruffBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_bar.rb:130:in `test_set_legend_box_size'
> 
>  21) Error:
> test_tall_graph(TestGruffBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_bar.rb:160:in `test_tall_graph'
> 
>  22) Error:
> test_wide_graph(TestGruffBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_bar.rb:149:in `test_wide_graph'
> 
>  23) Error:
> test_x_y_labels(TestGruffBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_bar.rb:143:in `test_x_y_labels'
> 
>  24) Error:
> test_y_axis_increment(TestGruffBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_bar.rb:232:in `generate_with_y_axis_increment'
>     /«PKGBUILDDIR»/test/test_bar.rb:214:in `test_y_axis_increment'
> 
>  25) Error:
> test_bar_legend_wrap(TestGruffLegend):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_legend.rb:45:in `block (2 levels) in full_suite_for'
>     /«PKGBUILDDIR»/test/test_legend.rb:32:in `each'
>     /«PKGBUILDDIR»/test/test_legend.rb:32:in `block in full_suite_for'
>     /«PKGBUILDDIR»/test/test_legend.rb:31:in `each'
>     /«PKGBUILDDIR»/test/test_legend.rb:31:in `full_suite_for'
>     /«PKGBUILDDIR»/test/test_legend.rb:51:in `test_bar_legend_wrap'
> 
>  26) Error:
> test_more_than_two_lines_of_legends(TestGruffLegend):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_legend.rb:45:in `block (2 levels) in full_suite_for'
>     /«PKGBUILDDIR»/test/test_legend.rb:32:in `each'
>     /«PKGBUILDDIR»/test/test_legend.rb:32:in `block in full_suite_for'
>     /«PKGBUILDDIR»/test/test_legend.rb:31:in `each'
>     /«PKGBUILDDIR»/test/test_legend.rb:31:in `full_suite_for'
>     /«PKGBUILDDIR»/test/test_legend.rb:66:in `test_more_than_two_lines_of_legends'
> 
>  27) Error:
> test_all_negative(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:361:in `test_all_negative'
> 
>  28) Error:
> test_all_zeros(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:262:in `test_all_zeros'
> 
>  29) Error:
> test_baseline_larger_than_data(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:322:in `test_baseline_larger_than_data'
> 
>  30) Error:
> test_graph_tiny(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:239:in `test_graph_tiny'
> 
>  31) Error:
> test_hide_dots(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:330:in `test_hide_dots'
> 
>  32) Error:
> test_hide_lines(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:337:in `test_hide_lines'
> 
>  33) Error:
> test_line_graph_with_themes(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:493:in `line_graph_with_themes'
>     /«PKGBUILDDIR»/test/test_line.rb:31:in `test_line_graph_with_themes'
> 
>  34) Error:
> test_line_large_values(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:141:in `test_line_large_values'
> 
>  35) Error:
> test_line_small_values(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:91:in `test_line_small_values'
> 
>  36) Error:
> test_line_starts_with_zero(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:112:in `test_line_starts_with_zero'
> 
>  37) Error:
> test_many_datapoints(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:184:in `test_many_datapoints'
> 
>  38) Error:
> test_many_lines_graph_small(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:220:in `test_many_lines_graph_small'
> 
>  39) Error:
> test_many_numbers(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:439:in `test_many_numbers'
> 
>  40) Error:
> test_negative(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:352:in `test_negative'
> 
>  41) Error:
> test_no_hide_line_no_labels(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:449:in `test_no_hide_line_no_labels'
> 
>  42) Error:
> test_no_legend(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:306:in `test_no_legend'
> 
>  43) Error:
> test_no_title(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:292:in `test_no_title'
> 
>  44) Error:
> test_one_value(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:44:in `test_one_value'
> 
>  45) Error:
> test_one_value_array(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:56:in `test_one_value_array'
> 
>  46) Error:
> test_request_too_many_colors(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:163:in `test_request_too_many_colors'
> 
>  47) Error:
> test_should_not_hang_with_0_0_100(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:65:in `test_should_not_hang_with_0_0_100'
> 
>  48) Error:
> test_should_render_with_transparent_theme(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:27:in `test_should_render_with_transparent_theme'
> 
>  49) Error:
> test_similar_high_end_values(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:194:in `test_similar_high_end_values'
> 
>  50) Error:
> test_some_nil_points(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:282:in `test_some_nil_points'
> 
>  51) Error:
> test_wide_graph(TestGruffLine):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/line.rb:53:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_line.rb:343:in `test_wide_graph'
> 
>  52) Error:
> test_all_zeros(TestGruffNet):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/net.rb:23:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_net.rb:172:in `test_all_zeros'
> 
>  53) Error:
> test_dots_graph_tiny(TestGruffNet):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/net.rb:23:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_net.rb:149:in `test_dots_graph_tiny'
> 
>  54) Error:
> test_many_datapoints(TestGruffNet):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/net.rb:23:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_net.rb:101:in `test_many_datapoints'
> 
>  55) Error:
> test_many_nets_graph_small(TestGruffNet):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/net.rb:23:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_net.rb:130:in `test_many_nets_graph_small'
> 
>  56) Error:
> test_net_large_values(TestGruffNet):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/net.rb:23:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_net.rb:86:in `test_net_large_values'
> 
>  57) Error:
> test_net_small_values(TestGruffNet):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/net.rb:23:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_net.rb:40:in `test_net_small_values'
> 
>  58) Error:
> test_net_starts_with_zero(TestGruffNet):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/net.rb:23:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_net.rb:61:in `test_net_starts_with_zero'
> 
>  59) Error:
> test_no_legend(TestGruffNet):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/net.rb:23:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_net.rb:196:in `test_no_legend'
> 
>  60) Error:
> test_no_title(TestGruffNet):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/net.rb:23:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_net.rb:182:in `test_no_title'
> 
>  61) Error:
> test_similar_high_end_values(TestGruffNet):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/net.rb:23:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_net.rb:111:in `test_similar_high_end_values'
> 
>  62) Error:
> test_wide_graph(TestGruffNet):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/net.rb:23:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_net.rb:211:in `test_wide_graph'
> 
>  63) Error:
> test_area_graph(TestGruffStackedArea):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/stacked_area.rb:11:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_stacked_area.rb:33:in `test_area_graph'
> 
>  64) Error:
> test_area_graph_small(TestGruffStackedArea):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/stacked_area.rb:11:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_stacked_area.rb:49:in `test_area_graph_small'
> 
>  65) Error:
> test_bar_graph(TestGruffStackedBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/stacked_bar.rb:11:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_stacked_bar.rb:33:in `test_bar_graph'
> 
>  66) Error:
> test_bar_graph_small(TestGruffStackedBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/stacked_bar.rb:11:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/test_stacked_bar.rb:49:in `test_bar_graph_small'
> 
>  67) Error:
> test_simple_bar(TestMiniBar):
> ZeroDivisionError: divided by 0
>     /«PKGBUILDDIR»/lib/gruff/base.rb:1065:in `label'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:589:in `setup_graph_measurements'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:531:in `setup_drawing'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:507:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/bar.rb:15:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/mini/bar.rb:28:in `draw'
>     /«PKGBUILDDIR»/lib/gruff/base.rb:486:in `write'
>     /«PKGBUILDDIR»/test/gruff_test_case.rb:83:in `write_test_file'
>     /«PKGBUILDDIR»/test/test_mini_bar.rb:10:in `test_simple_bar'
> 
> 156 tests, 29 assertions, 0 failures, 67 errors, 0 skips
> ERROR: Test "ruby1.9.1" failed. Exiting.
> dh_auto_install: dh_ruby --install /«PKGBUILDDIR»/debian/tmp returned exit code 1
> make: *** [binary] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/06/05/ruby-gruff_0.3.6-5_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#676206; Package src:ruby-gruff. (Sun, 22 Jul 2012 23:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Sun, 22 Jul 2012 23:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 676206@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: 676206@bugs.debian.org
Subject: Re: ruby-gruff: FTBFS: tests failed
Date: Mon, 23 Jul 2012 07:56:48 +0900
[Message part 1 (text/plain, inline)]
tags 676206 patch
thanks

Hi,

I created two patches which revise this problem.
We have the two methods of correcting this bug.
1. ignore test of 1.9.3.
    Current code does not support 1.9.3. This bug has in test of 1.9.3.
    If we ignore test of 1.9.3, we fix this bug.
    The patch which corrects a problem by this method is
ruby-gruff-0.3.6.debdiff.1

2. Support 1.9.3.
    Upstream already support 1.9.3. If we pick some patches to debian package,
    we can support 1.9.3 with this package.
    The patch which corrects a problem by this method is
ruby-gruff-0.3.6.debdiff.support.193.

Please check these patches and apply.

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6
[ruby-gruff-0.3.6.debdiff.1 (application/octet-stream, attachment)]
[ruby-gruff-0.3.6.debdiff.support.193 (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Nobuhiro Iwamatsu <iwamatsu@nigauri.org> to control@bugs.debian.org. (Sun, 22 Jul 2012 23:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, cedric.boutillier@gmail.com, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#676206; Package src:ruby-gruff. (Mon, 23 Jul 2012 12:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <cedric.boutillier@gmail.com>:
Extra info received and forwarded to list. Copy sent to cedric.boutillier@gmail.com, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Mon, 23 Jul 2012 12:24:07 GMT) Full text and rfc822 format available.

Message #17 received at 676206@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <cedric.boutillier@gmail.com>
To: Debian Bug Tracking System <676206@bugs.debian.org>
Subject: ruby-gruff: fixed in the Ruby Team repository
Date: Mon, 23 Jul 2012 14:12:00 +0200
[Message part 1 (text/plain, inline)]
Package: ruby-gruff
Followup-For: Bug #676206


Dear Nobuhiro,

Thank you for working on this issue. The bug is simply caused by the fact that
taking the modulo with respect to 0.0 gives an "Division by zero" error
with Ruby1.9, but raises no error and return NaN with Ruby1.8.

This has been discussed upstream [1], and the corresponding code has been
merged [2].

The patch you proposed for supporting 1.9.3 contains this fix, but also
many modifications that did not appear in upstream release (other than
the upstream VCS). They contain code such that 'require "rubygems"' that
are not suitable for Debian Ruby packages.

Ignoring the test results for Ruby 1.9 is also not satisfactory, I am
afraid.

It occurs that the 'freeze_exception' branch of Git repository for the
Debian packaging of ruby-gruff [3] includes the patch [2] cherrypicked
from upstream. It is waiting for review and upload [4]. I should have
tagged this bug as pending and fixed-upstream, which I am doing now.

  1: https://github.com/topfunky/gruff/issues/21
  2: https://github.com/topfunky/gruff/pull/22
  3: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-gruff.git;a=summary
  4: http://lists.debian.org/debian-ruby/2012/07/msg00000.html

See debdiff output attached.

Cheers,

Cédric
[ruby-gruff_division_by_zero.patch (text/x-diff, attachment)]

Added tag(s) fixed-upstream and pending. Request was from Cédric Boutillier <cedric.boutillier@gmail.com> to control@bugs.debian.org. (Mon, 23 Jul 2012 13:45:07 GMT) Full text and rfc822 format available.

Reply sent to Cédric Boutillier <cedric.boutillier@gmail.com>:
You have taken responsibility. (Wed, 25 Jul 2012 23:36:03 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Wed, 25 Jul 2012 23:36:03 GMT) Full text and rfc822 format available.

Message #24 received at 676206-close@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <cedric.boutillier@gmail.com>
To: 676206-close@bugs.debian.org
Subject: Bug#676206: fixed in ruby-gruff 0.3.6-6
Date: Wed, 25 Jul 2012 23:33:18 +0000
Source: ruby-gruff
Source-Version: 0.3.6-6

We believe that the bug you reported is fixed in the latest version of
ruby-gruff, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 676206@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cédric Boutillier <cedric.boutillier@gmail.com> (supplier of updated ruby-gruff package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 06 Jul 2012 06:03:30 +0200
Source: ruby-gruff
Binary: ruby-gruff libgruff-ruby libgruff-ruby-doc libgruff-ruby1.8
Architecture: source all
Version: 0.3.6-6
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Cédric Boutillier <cedric.boutillier@gmail.com>
Description: 
 libgruff-ruby - Transitional package for ruby-gruff
 libgruff-ruby-doc - Transitional package for ruby-gruff
 libgruff-ruby1.8 - Transitional package for ruby-gruff
 ruby-gruff - Beautiful graphs for one or multiple datasets.
Closes: 676206
Changes: 
 ruby-gruff (0.3.6-6) unstable; urgency=low
 .
   * Team upload
   * Add fix_division_by_0 patch, applied upstream to prevent 'division by zero'
     errors with Ruby1.9 if @marker_count is not set explicitly, which is the
     case in the test suite (Closes:#676206)
Checksums-Sha1: 
 9253f2b47218d5fee1234ca0efa85c98ea159c2a 2218 ruby-gruff_0.3.6-6.dsc
 67a79eee577e1471f8b35b17a1f0461dbe7ba57b 5356 ruby-gruff_0.3.6-6.debian.tar.gz
 9fbb5429869dcb1a60a73e609ea5565a6fc4ad65 31288 ruby-gruff_0.3.6-6_all.deb
 1431df1eed33f905ec9190aada3b4414292c63ad 5342 libgruff-ruby_0.3.6-6_all.deb
 3a4a802a25a76526fea42207a7972ac2f375b5ce 5348 libgruff-ruby-doc_0.3.6-6_all.deb
 3329f2b396badaa332f939ce0099dab0e3bb8bfb 5342 libgruff-ruby1.8_0.3.6-6_all.deb
Checksums-Sha256: 
 b7b4b5b131773099b4e837d030b1197ec98708845eabaf9281ef257bbcb97f6a 2218 ruby-gruff_0.3.6-6.dsc
 e4d8652a84990f34f1da2ef1c579e59704b5f44ac23e2fb44af2e23e61bc368d 5356 ruby-gruff_0.3.6-6.debian.tar.gz
 3bba93f66d39714845f84aa5cde98023cb5f9538753edf20437ad8f0f021b720 31288 ruby-gruff_0.3.6-6_all.deb
 6b0307413869240b2cdb19f547e32afdf4b8da3c31c3980bb6462c1ca116df18 5342 libgruff-ruby_0.3.6-6_all.deb
 00c545087e264c84881b6a77415143b5d83194026acf61e3f3080ce99fb5d73d 5348 libgruff-ruby-doc_0.3.6-6_all.deb
 108f718ff7be67833318b93b0ecb6c40e89db7451429064bf596ae53f8e6f05a 5342 libgruff-ruby1.8_0.3.6-6_all.deb
Files: 
 a7bc4e5e0fb800a4850f857c3d558cab 2218 ruby optional ruby-gruff_0.3.6-6.dsc
 cc95da078f7aa4bc860af0978d2937c5 5356 ruby optional ruby-gruff_0.3.6-6.debian.tar.gz
 7205184fe5a643d8f7a3b2ba41aea65b 31288 ruby optional ruby-gruff_0.3.6-6_all.deb
 8826ec0a3126c8a79e20d0e392c93930 5342 oldlibs optional libgruff-ruby_0.3.6-6_all.deb
 6494a8dc1a5ab862200bbd2bf3a356fa 5348 oldlibs optional libgruff-ruby-doc_0.3.6-6_all.deb
 0416c150d647d894a96e195ae99698ce 5342 oldlibs optional libgruff-ruby1.8_0.3.6-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQEHzlAAoJEGc6A+TB25IfwWkP/R0Kc1R/E7iBuUkXciJZJ6SU
jRYIUucfkqtPrbwT1tv598WpZlyHw8KGUf1iNdzjuW2DfaySE+/Mk7aIEWKVe0MH
8mohv1Y08RRPfhjrY/8bF4FFk6/SzC76/DBKhGNaNZ7NKrdK/cRzl/K2TImtl4oX
PayYFn1B/HUD6toKQkEHbpzdM/FO4NNp+t7av2NZdytMupGS3KMsxCFu438XaBee
nImCnpvaAATEKAKyHcpRT2F7fSf0enhIFoOd7scdknXvHKGEg/iOlz9744kwdmcc
yDwj9t673+to1wAtI8cglajm7mfGIL4tWweVdki+nO6bg2pwayde8aPKWEbV6MG9
5LC4EvHHOdb6Baw4YJau7ZqPJWjXJlPQzcNLmVX/h4GOmgfyocC5Q5jvDTCFvA2K
3TfdSMsQkceN75yzKVkxaGXxjm5UgryJvg8PlM1zaE7w6C23RK1lS5MHcer7xb4M
1xRLB2px7Kr/gkRsnwBC6mhquaHr3/OEJf/Gat5U2u1dwfAwHfR8clWipzLTDfBm
d1epPyRGvtJxE/GBo9otmmtUc4xL1imFLk48lLIPCingAQ5qiiy7dX4LpnBziF2d
1V40kMRsw7iL0P7ih5hjk62LKu0F8rCmXfITUHP8lB22HMA1+qIec1ssw3cgSpNZ
b91pa0btpLzrTOc16MXT
=msF5
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Sep 2012 07:25:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:44:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.